Votre Nom 11 months ago
parent
commit
5caf0237be
3 changed files with 19 additions and 14 deletions
  1. 9 4
      build_cube.sh
  2. 6 6
      options/foxy-pool.sh
  3. 4 4
      options/watchdog.sh

+ 9 - 4
build_cube.sh

@@ -1,6 +1,6 @@
 #!/bin/bash
 set -e
-Version=18.3.2
+Version=18.3.3
 Cuda=YES
 kernel_custom=YES
 Miners=Yes
@@ -13,6 +13,7 @@ if (( $EUID != 0 )); then
    exit 1
 fi
 clear
+export TERM=xterm-256color
 Cuda=${Cuda^^}
 kernel_custom=${kernel_custom^^}
 driver=${driver^^}
@@ -75,8 +76,7 @@ print_centered "╚██████╗╚██████╔╝████
 print_centered " ╚═════╝ ╚═════╝ ╚═════╝ ╚══════╝"
 echo -n "$(tput sgr0)"
 print_centered "Cube Server installation script v$Version"
-print_centered "Ubuntu version 20.04"
-print_centered "GA990xa-ud3"
+print_centered "Ubuntu version 20.04.6"
 if [ $Cuda = "YES" ]
 then
 print_centered "CUDA"
@@ -95,7 +95,7 @@ echo -e ""
 sudo apt-get install  samba cifs-utils mdadm git build-essential libtool pkg-config automake autoconf ethtool net-tools openvpn filezilla \
 tasksel lzma-dev lzma cmake libuv1-dev libssl-dev msr-tools tightvncserver lm-sensors openssh-server xfsprogs -y
 echo -e ""
-sudo apt-get install pixz pbzip2 pigz btrfs-progs gparted gpart gnome-remote-desktop libcanberra-gtk-module \
+sudo apt-get install zstd pixz pbzip2 pigz btrfs-progs gparted gpart gnome-remote-desktop libcanberra-gtk-module \
 ctorrent libcurl4-openssl-dev bison byacc screen libudev-dev libjansson-dev libncurses5-dev libmicrohttpd-dev curl nvme-cli -y
 echo -e ""
 sudo apt-get install libglib2.0-dev libgtk2.0-dev libsensors4-dev htop vlc locate cmake -y
@@ -832,6 +832,11 @@ sleep 1
 }
 
 function autoroot_ {
+if ! grep "#color putty" ~/.bashrc >/dev/null
+then
+echo "#color putty" >> ~/.bashrc
+echo "export TERM=xterm-256color" >> ~/.bashrc
+fi
 if [ ! -d /home/wareck/.config/autostart ]
 then
 echo -e "$(tput setaf 10)\nInit install & autostart:$(tput sgr0)"

+ 6 - 6
options/foxy-pool.sh

@@ -129,17 +129,17 @@ sudo systemctl restart rsyslog >/dev/null 2>&1
 sudo systemctl daemon-reload >/dev/null 2>&1
 sudo systemctl enable foxypool >/dev/null 2>&1
 sudo systemctl start foxypool >/dev/null 2>&1
-
-echo -e "\e[97mDone.\e[0m"
+echo -e "\e[97mDone.\e[0m\n"
 }
 
 function bashing {
 cat <<'EOF'>> ~/foxypool.sh
-CTR=xch1hsadv5h4c6mvk2av8vg6pdmezu8rapmrsta8z7ds0yd24yt2xshshqrtsy
-FPK=b6d0c62c90338b2dc9c5c2368e4acd1cbf60cadb3b86c0bf58a3706d59b276b49520bf8bfb4e07735fdfb92b03053170
+#!/bin/bash
+CTR=xch19fewtlx936jx689nzf0ufngcunwvq7mjcdtncxtdqmh9axtpaelqx0k32s
+FPK=848417a79e0f94eafd158eac202b42c250caef8a4b262dbb1b5f6f7e347087f0e53e58a2e5585f85f67ac33507677176
 OUT=/Partage/Plots/
-./cuda_plot_k32 -g 0 -c $CTR -f $FPK -C 17 -n 2 -t /raid/ -3 /raid/ -d $OUT
-ProofOfSpace farm -t 8 -d 100 -f /Partage/Plots/*.plot
+./cuda_plot_k32 -S 3 -g 0 -c $CTR -f $FPK -C 17 -n -1 -t /raid/ -3 /raid/ -d $OUT
+#ProofOfSpace farm -t 8 -d 100 -f /Partage/Plots/*.plot
 EOF
 chmod +x ~/foxypool.sh
 cp ~/foxypool.sh ~/chia/chia-gigahorse/cuda-plotter/linux/x86_64/foxypool.sh

+ 4 - 4
options/watchdog.sh

@@ -1,6 +1,6 @@
 #!/bin/bash
 set -e
-version=1.3
+version=2.0
 if [ -z $1 ];then mode="0";else mode="1";fi
 
 function print_centered {
@@ -42,7 +42,7 @@ fi
 if  [ -f /tmp/watchdog.1 ];then rm /tmp/watchdog.1;fi
 cat <<'EOF'>> /tmp/watchdog.1
 #Watchdog
-SUBSYSTEM=="tty", ATTRS{idVendor}=="1a86", ATTRS{idProduct}=="7523", SYMLINK+="watchdog" , RUN="/usr/local/bin/wd_control.sh"
+SUBSYSTEM=="tty", ATTRS{idVendor}=="1a86", ATTRS{idProduct}=="7523", SYMLINK+="watchdog" , RUN="/usr/local/bin/wdcontrol.sh"
 EOF
 if  [ -f /tmp/watchdog.2 ];then rm /tmp/watchdog.2;fi
 cat <<'EOF'>> /tmp/watchdog.2
@@ -53,7 +53,7 @@ echo -n -e "\x$timing" >/dev/watchdog
 EOF
 
 chmod +x /tmp/watchdog.2
-sudo mv /tmp/watchdog.2 /usr/local/bin/wd_control.sh
+sudo mv /tmp/watchdog.2 /usr/local/bin/wdcontrol.sh
 sudo mv /tmp/watchdog.1 /etc/udev/rules.d/10-watchdog.rules
 
 if ! grep "wd_control.sh" /etc/crontab  >/dev/null
@@ -61,7 +61,7 @@ then
 sudo cp /etc/crontab /tmp/crontab
 sudo chmod 777 /tmp/crontab
 echo "" >>/tmp/crontab
-echo "* * * * * root /usr/local/bin/wd_control.sh" >> /tmp/crontab
+echo "* * * * * root /usr/local/bin/wdcontrol.sh" >> /tmp/crontab
 sudo chmod 644 /tmp/crontab
 sudo mv /tmp/crontab /etc/
 fi